/* Recreate objects script.
 * 
 * Generated via Object Desktop Package File 'Object Inspector'.
 */

/* Register with REXX API extensions. */
Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
Call SysLoadFuncs

CurrentDir  = Directory()
ProgramsDir = VALUE('PROGRAMS',,'OS2ENVIRONMENT')

/* JavaHome = 'E:\Programs\OPENJDK6' */

JavaHome = ProgramsDir || '\OPENJDK6'
JavaProg = CurrentDir || '\res\java'

/* wget jalbum 12.0  */        
ADDRESS cmd "wget -O res/ij149.zip --ftp-user=os2user --ftp-password=os2 ftp://os2notes.duckdns.org/eJava/ij149.zip"

unzip 'res\ij149.zip -d res\jAVA'


/* Get creation disposition. */
Say 'When object exists object creation should:' 
Call CharOut, '  (U=Update, R=Replace, F=Fail) : '
Parse Upper Pull Answer
CreateCollision = 'Fail'
If Left( Answer, 1 ) = R Then CreateCollision = 'Replace' 
If Left( Answer, 1 ) = U Then CreateCollision = 'Update' 

Call CreateObjects
Exit

CreateObject: procedure
    Parse Arg Class, Title, Location, Setup, Collision
    Say 'Creating ['Title']'
    rc = SysCreateObject( Class, Title, Location, Setup, Collision )
    If rc <> 1 Then
        Say ' > failed to create ['Title' | 'Class'] at location ['Location']'
    return rc


CreateObjects:

rc = CreateObject( 'WPProgram',,
    'ImageJ',,
    '<WP_EJAVA>',,
    'NOTDEFAULTICON=YES;'||,
        'NOPRINT=YES;'||,
        'DEFAULTVIEW=RUNNING;'||,
        ';'||,
        'ICONPOS=2,12;'||,
        'ICONFILE='||CurrentDir||'\icons\os2\ImageJ.ICO;'||,
        'EXENAME='||JavaHome||'\BIN\JAVAW.EXE;'||,
        'STARTUPDIR='||JavaProg||'\ImageJ;'||,
        'PARAMETERS=-Xmx256m -jar ij.jar;'||,
        'PROGTYPE=PM;'||,
        'OBJECTID=<IMAGEJ>',,
    CreateCollision )

return
